import axios from 'axios';
const baseUri = "/sound/function/noiseLeqLevel";
const listAllUrl = baseUri + "";

// 添加
const saveLeqLevel = function (data) {
    return axios.post("/sound/function/noiseLeqLevel",data)
}

// 删除
const removeLeqLevel = function (id) {
    return axios.delete(`/sound/function/noiseLeqLevel/${id}`,)
}
// 批量删除
const removeBatchLeqLevel = function (ids) {
    return axios.delete("/sound/function/noiseLeqLevel/batch",{data:ids})
}

// 修改
const updateLeqLevel = function (data) {
    return axios.put("/sound/function/noiseLeqLevel",data)
}
const getColumnOptions = function(column){
    return axios.get("/sound/function/noiseLeqLevel/options",{params:{column}})
}

export {
    listAllUrl,
    saveLeqLevel,
    updateLeqLevel,
    removeBatchLeqLevel,
    removeLeqLevel,
    getColumnOptions

}
